<!DOCTYPE html>
<html lang="en-GB">
  <head>
    <meta charset="utf-8" />
    <style>
      body {
        background: #fafafa;
      }
    </style>
    <script>
      async function runLifecycle() {
        const el = document.querySelector("#elemento");
        console.log(el);
        console.log("...modificar componente...");
        el.title = "hola";
        el.icon = "icono.png";
        await el.updateComplete;
        console.log("...update complete...");
      }
    </script>
  </head>
  <body>
    <div id="demo"></div>

    <script type="module">
      import { html, render } from "lit-html";
      import "../lifecycle-update.js";

      const title = "Hello owc World!";
      render(
        html`
          <lifecycle-update id="elemento">
            some more light-dom
          </lifecycle-update>
          <button onclick="runLifecycle()">Cambiar propiedades</button>
        `,
        document.querySelector("#demo")
      );
    </script>
  </body>
</html>
